# drawing.py
# ----------
# By ____(you)___________
#
# (Briefly describe what this program does.)

from turtle import *
from superturtle.animation import animate


def fly(distance):
    penup()
    forward(distance)
    pendown()


def sun():
    fillcolor("yellow")
    begin_fill()
    fly(20)
    left(90)
    circle(20)
    end_fill()
    left(90)
    fly(20)


for frame in animate(60, loop=True):
    sun()
    with frame.rotate(0, 360):
        fly(100)
        fillcolor("blue")
        begin_fill()
        circle(20)
        end_fill()

done()



